curl --request GET \
--url https://api.cnaught.com/v1/projects/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cnaught.com/v1/projects/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cnaught.com/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "tbCjWP",
"name": "Fuzhou Hongmiaoling Landfill Gas to Electricity Project",
"summary": "This project collects landfill gas to generate 2.5MW of electricity at a landfill in southeastern China, avoiding the emission of methane (a potent greenhouse gas) into the atmosphere and using the methane to generate power and displace dirtier coal-fired power in the electric grid.",
"description": "This project supports collection of landfill gas and generation of 2.5MW of electricity at a landfill in Fuzhou City in Fujian Province in southeastern China. The landfill received waste from 1995 until 2008, and—like most landfills—throws off methane as some of that waste decomposes. Credits are generated from two pieces of the project: (1) avoiding the emissions of methane (a potent greenhouse gas) into the atmosphere and (2) using the power generated from the methane (natural gas) to displace dirtier coal-fired power coming from the electric grid. The project clearly required carbon revenues to achieve these two goals and therefore generates high-quality carbon offsets.",
"developer": "Fujian Tianyi Renewable Energy Technology & Utilization Co., Ltd.",
"location_latitude": 26.0833,
"location_longitude": 119.3,
"location_name": "Fujian Province, China",
"primary_image_url": "https://assets.cnaught.com/64fd900fcf6f93409fc7ff21/6524ae6c0387291e029550f1_64076b4177668a2e4a6a1d31_peter-thomas-TRAYV5rsA9Y-unsplash%25201.jpeg",
"registry_id": "253",
"registry_name": "Verra",
"registry_url": "https://registry.verra.org/app/projectDetail/VCS/253",
"type": "Landfill Gas",
"un_sdg_goals": [],
"credit_issuances": [
{
"vintage_year": 2020,
"total_amount": 50000
},
{
"vintage_year": 2021,
"total_amount": 75000
},
{
"vintage_year": 2022,
"total_amount": 60000
}
]
}{
"title": "Authorization has been denied for this request",
"status": 401
}{
"type": "https://api.cnaught.com/v1/errors/not-found",
"title": "Could not find project",
"status": 404
}Get Project By Id
Returns information about a project, including credit issuances by vintage year
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the project to return
"PziVGB"
Response
Project Details
Details about a project, including credit issuances by vintage year
Identifier that can be used to retrieve the project details
"Fc35bt3"
Name of the project
"Liling Landfill Gas Project"
A short summary of the project
"Lorem Ipsum"
A longer description of the project
"Lorem Ipsum Shmipsum"
Type of project, eg Afforrestation, Renewable Energy, etc
"REDD"
List of activity types for the project
["Landfill Gas", "Renewable Energy"]
The name of the company or organization sponsoring the project
"Charm Industrial"
The name of the registry on which the project's credits are registered
"Verra"
The id of the project within the registry
824
The full url to the project's documentation on the registry website
"https://registry.verra.org/app/projectDetail/VCS/824"
Location of the project
"Fujian Province, China"
Latitude for the location of the project
26.0833
Longitude for the location of the project
119.3
URL for the primary image of the project
"https://assets.cnaught.com/63a4ad4c853f90fd4c455107/64122d1dcf47f3840933826a_charm-industrial.jpg"
list of UN Sustainable Development Goals supported by this project; see https://sdgs.un.org/goals
[1, 4, 6]
The methodology used for the project
"VM0010"
The verifier of the project
"DNV GL"
Information about the permanence of the carbon removal
"100+ years"
The lifetime of the project
Show child attributes
Show child attributes
The type of impact the project has (avoided emissions, removal, or mix of both)
"Avoided Emissions"
Information about the due diligence performed on the project
"Extensive verification process was conducted..."
Information about benefits beyond carbon reduction
"This project also supports local communities..."
Information about the risk of carbon reversal
"Low risk due to long-term conservation agreements..."
List of third-party labels or certifications
["Gold Standard", "Climate Action Reserve"]
List of notable buyers of credits from this project
Show child attributes
Show child attributes
Figure illustrating due diligence information
Show child attributes
Show child attributes
List of news articles related to the project
Show child attributes
Show child attributes
A list of credit issuances by vintage year
Show child attributes
Show child attributes
[
{
"vintage_year": 2020,
"total_amount": 50000
},
{
"vintage_year": 2021,
"total_amount": 75000
},
{
"vintage_year": 2022,
"total_amount": 60000
}
]